
/**
  \file doxtest.c
 
 \brief  Testcase for Bug 128063 
 */

/**
  \brief Read a bit
 
  \param databit	lvalue to receive the read bit (e.g. name of a variable)
 
  \par Timing diagram
  <pre>
            _______
  SCL  ____/  2us  \__The_characters_after_the_backslash_are_missing_in_the_output until the first whitespace
       _ __________ __
  SDA  _X__________X__
  &nbsp;
                ^- Sampling Point
  </pre>
 
  \pre SCL must be LOW
  \post IO_SDA is Hi-Z
 */

#define read_bit(databit) \
{ \
	set_sda(HIGH); \
	set_scl(HIGH); \
	databit = get_sda(); \
	set_scl(LOW); \
}
